version: "3.9"

services:

  minecraft-server:
    image: itzg/minecraft-server:java17
    container_name: minecraft-server
    environment:
      SERVER_NAME: "Wilczo & Mruczo"
      MOTD: "Wilczo-Mrucze imperium"
      EULA: "TRUE"
      ONLINE_MODE: "false"
      MODE: survival
      DIFFICULTY: peaceful
      PVP: "false"
      ALLOW_NETHER: "true"
      SPAWN_ANIMALS: "true"
      OPS: Wilczo
    tty: true
    stdin_open: true
    restart: unless-stopped
    ports:
      - 25565:25565
    volumes:
      - ./volumes/minecraft-server:/data
